<!doctype html>

<!--[if lt IE 7]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8 lt-ie7"><![endif]-->
<!--[if (IE 7)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9 lt-ie8"><![endif]-->
<!--[if (IE 8)&!(IEMobile)]><html <?php language_attributes(); ?> class="no-js lt-ie9"><![endif]-->
<!--[if gt IE 8]><!--> <html <?php language_attributes(); ?> class="no-js"><!--<![endif]-->

	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />

		<?php // force Internet Explorer to use the latest rendering engine available ?>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">

		<?php // mobile meta (hooray!) ?>
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<meta name="viewport" content="width=device-width, initial-scale=1.0"/>

		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">

		<?php wp_head(); ?>
	</head>

	<body <?php body_class(); ?>>

		<div id="container">
			<?php 
				$background_image =get_background_image();
				if(!empty($background_image)):
					$has_background = 'has-backgroud';
				
			?>
			<header class="header <?php echo $has_background; ?>" role="banner">
			<?php else: ?>
			<header class="header" role="banner">
			<?php endif; ?>

				<div id="inner-header" class="wrap cf">

					
					<?php 
					$custom_logo_id = get_theme_mod( 'custom_logo' );
					$custom_logo_url = wp_get_attachment_image_url( $custom_logo_id , 'full' );
					if ( get_theme_mod( 'custom_logo' ) ) : ?>
					<p id="logo" class="h1"><a href="<?php echo home_url(); ?>" rel="nofollow"><img src="<?php echo esc_url( $custom_logo_url ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a></p>
					 <?php else : ?>
					<p id="logo" class="h1"><a href="<?php echo home_url(); ?>" rel="nofollow"><?php bloginfo('name'); ?></a></p>
					<?php endif; ?>
					<?php if ( is_active_sidebar( 'sidebar3' ) ) : ?>
						<div class="advertisement-area">
						<?php dynamic_sidebar( 'sidebar3' ); ?>
						</div>

					<?php endif; ?>
					
					<div class="clear"></div>
					<div id="responsive-nav">
            				<img src="<?php echo wpcleangreen_IMAGES; ?>/nav.png" alt="nav">
       				</div>
       					 <!--<div class="clear no-display"></div>-->
       					

				</div> <!-- inner-header -->
				<div class="navigation-area">
					<div class="wrap cf static">					
						<nav role="navigation" id="main-navigation">
	       					 	<?php if ( has_nav_menu('main-nav') ) { ?>
									<?php wp_nav_menu(array(
			    					'container' => false,                           // remove nav container
			    					'container_class' => 'menu cf',                 // class of container (should you choose to use it)
			    					'menu' => __( 'The Main Menu', 'wp-clean-green' ),  // nav name
			    					'menu_class' => 'nav top-nav cf',               // adding custom nav class
			    					'theme_location' => 'main-nav',                 // where it's located in the theme
			    					'before' => '',                                 // before the menu
				        			'after' => '',                                  // after the menu
				        			'link_before' => '',                            // before each link
				        			'link_after' => '',                             // after each link
				        			'depth' => 0,                                   // limit the depth of the nav
			    					'fallback_cb' => ''                             // fallback function (if there is one)
									)); ?>
								<?php } else { ?>
									<ul class="nav top-nav cf">
	  								<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
									</ul>
								<?php } ?>
						</nav>
					</div>
				</div> <!-- navigation-area -->

			</header>